Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.applet.mgmt
Interface AppletAccessCardService

All Superinterfaces:
  CardServiceInterface

All Known Subinterfaces:
  AppletManagerCardService, EMVAppletAccessCardService

All Known Implementing Classes:
  AbstractAppletAccessor, BasicEMVAppletAccess

    public interface AppletAccessCardService

extends CardServiceInterface

The `AppletAccessCardService` interface defines a set of calls for accessing card-resident applets.

The set of methods supports access to an applet directory and retrieve informations like listed applets, security domain, label, etc.. These informations are stored in an AppletInfo.

This interface is typically implemented for card technology handling multi-application management different (e.g. EMV compliant cards, JavaCards, ...)

Since:
  OCF1.2
Version:
  $Id: AppletAccessCardService.java,v 1.1 1999/11/02 18:36:56 damke Exp $
Author:
  Reto Hermann (rhe@zurich.ibm.com), Thomas Stober (tms@de.ibm.com), Christophe.Muller@research.gemplus.com
See Also:
  `AppletInfo`, `AppletID`

Method Summary
`boolean` | `exists(AppletID appletIdentifier)` Check whether the card-resident applet with the specified `AppletID` exists on the card.
`AppletInfo` | `getInfo(AppletID appletIdentifier)` Reads the `AppletInfo` of a given applet ID from the cards list of applets.
`AppletInfo[]` | `list()` List the available card-resident applets on the smart card.

Methods inherited from interface opencard.opt.service.CardServiceInterface
`getCard, setCHVDialog`

Method Detail

### list

    AppletInfo[] list()
                      throws CardServiceException,
                             CardTerminalException

  List the available card-resident applets on the smart card.

  Returns:
    An array of `AppletInfo`s of the card-resident applets.
  Throws:
    `CardServiceException` - Thrown when error occurs during execution of the operation.
    `CardTerminalException`

### exists

    boolean exists(AppletID appletIdentifier)
                   throws CardServiceException,
                          CardTerminalException

  Check whether the card-resident applet with the specified `AppletID` exists on the card.

  Parameters:
    `appletIdentifier` - The `AppletID` object referring to the applet whose existence we want to check.
  Returns:
    `true` if card-resident applet exists, otherwise return `false`.
  Throws:
    `CardServiceException` - Thrown when error occurs during execution of the operation.
    `CardTerminalException`

### getInfo

    AppletInfo getInfo(AppletID appletIdentifier)
                       throws CardServiceException,
                              CardTerminalException

  Reads the `AppletInfo` of a given applet ID from the cards list of applets.

  Parameters:
    `appletIdentifier` - The `AppletID` object referring to the applet whose info we want to read.
  Returns:
    An `AppletInfo` of the applets. If no applet info was found for the given `AppletID` a `null` Throws:
    `CardServiceException` - Thrown when error occurs during execution of the operation.
    `CardTerminalException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD